Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882015 - Could not initialize 'report': dictionary keys changed during iteration
Summary: Could not initialize 'report': dictionary keys changed during iteration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sos
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Sandro Bonazzola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 15:27 UTC by Marius Vollmer
Modified: 2021-03-10 09:55 UTC (History)
4 users (show)

Fixed In Version: sos-4.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 00:15:34 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport/sos/commit/1d7bab6c7ce3f78758113ca3cdf3e9fa1762df24 0 None None None 2021-03-10 09:55:25 UTC

Description Marius Vollmer 2020-09-23 15:27:26 UTC
sos-4.0-1.fc33.noarch

When uncommenting "enable-plugins" in /etc/sos/sos.conf, sos fails with a Python runtime error:

# grep ^enable /etc/sos/sos.conf
enable-plugins = host,logs
# sos report -l --debug
Could not initialize 'report': dictionary keys changed during iteration
Traceback (most recent call last):
  File "/usr/sbin/sos", line 21, in <module>
    sos = SoS(sys.argv[1:])
  File "/usr/lib/python3.9/site-packages/sos/__init__.py", line 121, in __init__
    self._init_component()
  File "/usr/lib/python3.9/site-packages/sos/__init__.py", line 181, in _init_component
    raise err
  File "/usr/lib/python3.9/site-packages/sos/__init__.py", line 176, in _init_component
    self._component = _to_load(self.parser, self.args, self.cmdline)
  File "/usr/lib/python3.9/site-packages/sos/report/__init__.py", line 120, in __init__
    super(SoSReport, self).__init__(parser, args, cmdline)
  File "/usr/lib/python3.9/site-packages/sos/component.py", line 86, in __init__
    self.opts = self.load_options()
  File "/usr/lib/python3.9/site-packages/sos/component.py", line 208, in load_options
    opts.update_from_conf(self.args.config_file, self.args.component)
  File "/usr/lib/python3.9/site-packages/sos/options.py", line 223, in update_from_conf
    _update_from_section(component, config)
  File "/usr/lib/python3.9/site-packages/sos/options.py", line 189, in _update_from_section
    for key in odict.keys():
RuntimeError: dictionary keys changed during iteration

Comment 1 Marius Vollmer 2020-09-23 15:27:50 UTC
Also see https://gitmemory.com/issue/sosreport/sos/2206/676668430

Comment 2 Sandro Bonazzola 2020-09-23 15:35:52 UTC
Was reported in https://github.com/sosreport/sos/issues/2206 and fixed by https://github.com/sosreport/sos/commit/1d7bab6c7ce3f78758113ca3cdf3e9fa1762df24
Fix was not included in 4.0 tag.
Bryn, any chance you can release a 4.0.1 including this fix upstream?

Comment 3 Bryn M. Reeves 2020-09-23 15:47:34 UTC
I've not been maintaining sos upstream since last year - Jake Hunsaker (@TurboTurtle) should be able to help you out though.

Comment 4 Fedora Update System 2020-09-24 07:01:05 UTC
FEDORA-2020-9e89468693 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e89468693

Comment 5 Fedora Update System 2020-09-24 07:01:07 UTC
FEDORA-2020-9e89468693 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e89468693

Comment 6 Fedora Update System 2020-09-24 13:32:47 UTC
FEDORA-2020-9e89468693 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9e89468693`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e89468693

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-29 00:15:34 UTC
FEDORA-2020-9e89468693 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.